> This page is for version v2024-12-23.
> For other versions, use one of these documentation indexes:
> - v2026-02-09 (default): https://docs.extend.ai/2026-02-09/llms.txt
> - v2025-04-21: https://docs.extend.ai/2025-04-21/llms.txt
> - v2024-12-23: https://docs.extend.ai/2024-12-23/llms.txt

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extend.ai/llms.txt
> Use this file to discover all available pages before exploring further.
>
> ## API version
> The current API version is `2026-02-09`, served at the site root (no version prefix in URLs).
> If this page URL contains `/2025-04-21/` or `/2024-12-23/`, you are reading an older API version.
> Prefer the current docs at https://docs.extend.ai/llms.txt unless the user explicitly needs that older version.
> Do not treat older-version pages as the source of truth for new integrations.

# Correct Workflow Run Outputs (Deprecated)

If you are using our Human-in-the-loop workflow review, then we already will be collecting your operator submitted corrections. However,
if you are receiving data via the API without human review, there could be incorrect outputs that you would like to correct for future usage in evaluation and tuning within
the Extend platform. This endpoint allows you to submit corrected outputs for a WorkflowRun, by providing the correct output for a given output ID.

The output ID, would be found in a given entry within the `outputs` arrays of a [WorkflowRun payload](/2024-12-23/developers/objects/workflow-run).
The ID would look something like `dpr_gwkZZNRrPgkjcq0y-***`.

When using this endpoint, you will need to provide both the run id and the output id as parameters, and the corrected `reviewedOutput` as the body of the request. See below for more details.

### Parameters

**`workflowRunId`** `string`

The ID of the WorkflowRun that included this initial output.

---

**`outputId`** `string`

The ID of the output that these corrections are for.

---

### Body

**`reviewedOutput`** `object` — required

The corrected output of the processor when run against the file.

This should be a JSON object conforming to the [output type schema](/2024-12-23/developers/guides/output-types) of the given processor.

If this is an extraction result, you can include all fields, or just the ones that were corrected, our system will handle merges/dedupes. However, if you do include a field, we assume the value included in the final reviewed value.

---

**`Example Request`**

```bash Example Request
curl --location --request POST 'https://api-prod.extend.app/workflow_runs/wr_123/outputs/dpr_123' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_TOKEN>' \
--data '{
    "reviewedOutput": {
      // Output object - see “Processor output types” for details
    }
}'
```